# set_clipboard

Put text on the device clipboard.

Put text on the device clipboard.

| | |
|---|---|
| REST operation | [`setClipboard`](/reference/rest/device-extras/#setclipboard) (`PUT /v1/devices/{deviceId}/clipboard`) |
| Needs a device | yes |
| Read only | no |
| Profiles | `testing`, `full` |

## Parameters

| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
| `device_id` | yes | string | path `deviceId` | Stable device id such as `ios:00008120-001A2B3C4D5E6F70` or `android:R58M123ABC`. |
| `lease` | no | string | header `Silan-Lease` | Lease token when the device is claimed. |
| `text` | yes | string | body `text` |  |

## Example call

```text
set_clipboard({ device_id: "ios:00008120-001A2B3C4D5E6F70", text: … })
```